Bug 83317 - Start Center: No smooth scrolling
Summary: Start Center: No smooth scrolling
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 93091 (view as bug list)
Depends on:
Blocks: Start-Center Smooth-Scroll
  Show dependency treegraph
 
Reported: 2014-08-31 22:34 UTC by marcosgdf
Modified: 2017-05-22 13:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description marcosgdf 2014-08-31 22:34:20 UTC
Problem description: 

In Mac, most of the scroll bars behave in a smooth scrolling way, Libreoffice splash window (where you choose which program you open) lists the recent documents with a weird scroll bar that goes from block to block instead of scrolling in a smoother way like the rest of the OS

Steps to reproduce:
1. Open Libreoffice
2. Scroll down
3. ....

Current behavior: Scrolling in blocks

Expected behavior: Smooth scrolling

              
Operating System: Mac OS X
Version: 4.3.1.2 release
Comment 1 Adolfo Jayme 2014-09-01 20:49:23 UTC
This is actually a problem in every platform, but yeah, it does behave noticeably different under OS X.
Comment 2 josiasmat 2015-01-06 00:18:43 UTC
This also occurs to some extent on Windows.
Tested on LibreOffice 4.4.0.1 rc under Windows 8.1 x64.

Another issue (at least on Windows) is that the scrollbar's draggable area is always too small; it should reflect the actual size of the scrollable area.
Comment 3 tommy27 2015-11-01 08:15:47 UTC
please give an update of the bug status on Mac OS X with current LibO 4.4.x and 5.0.x releases
Comment 4 tommy27 2015-11-01 18:28:06 UTC
*** Bug 93091 has been marked as a duplicate of this bug. ***
Comment 5 tommy27 2015-11-01 18:37:40 UTC
nevermind, I was able to reproduce the non-smooth scrolling in LibO 5.0.3.1 and 5.1.0.0 alpha under Win8.1 x64 as other users reported in Bug 93091

so I set hardware to ALL

I'm on a laptop with no mouse and I use arrow keys to scroll or touchpad and scrollbars

there's a difference in 5.0.x and 5.1.x though...

I see smooth scrolling in 5.1.x if "Tools/Options/View/Use OpenGL for all rendering" option is checked, but if I uncheck it the scrolling is not smooth and flickering

instead in 5.0.x the scrolling shows flickering regardless of the OpenGL option status
Comment 6 QA Administrators 2017-05-22 13:19:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522